# User Agent Type

The `user_agent_type` parameter lets you specify what kind of a User-Agent header value we should use to fulfil your request.

You can find a complete list of available values in the table below.

## Parameter values

<table><thead><tr><th width="249.11344741196785">Value</th><th>Description</th></tr></thead><tbody><tr><td><code>desktop</code></td><td>A User-Agent of a desktop browser.</td></tr><tr><td><code>desktop_chrome</code></td><td>A User-Agent of one of the latest versions of a desktop Chrome browser.</td></tr><tr><td><code>desktop_edge</code></td><td>A User-Agent of one of the latest versions of a desktop Edge browser.</td></tr><tr><td><code>desktop_firefox</code></td><td>A User-Agent of one of the latest versions of a desktop Firefox browser.</td></tr><tr><td><code>desktop_opera</code></td><td>A User-Agent of one of the latest versions of a desktop Opera browser.</td></tr><tr><td><code>desktop_safari</code></td><td>A User-Agent of one of the latest versions of a desktop Safari browser.</td></tr><tr><td><code>mobile</code></td><td>A User-Agent of a mobile browser.</td></tr><tr><td><code>mobile_android</code></td><td>A User-Agent of one of the latest versions of an Android mobile browser.</td></tr><tr><td><code>mobile_ios</code></td><td>A User-Agent of one of the latest versions of an iOS browser.</td></tr><tr><td><code>tablet</code></td><td>A User-Agent of a tablet browser.</td></tr><tr><td><code>tablet_android</code></td><td>A User-Agent of one of the latest versions of an Android tablet browser.</td></tr><tr><td><code>tablet_ios</code></td><td>A User-Agent of one of the latest versions of an iPad tablet browser.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.oxylabs.io/scraping-solutions/web-scraper-api/features/http-context-and-job-management/user-agent-type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
